summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen2019-02-08 14:55:26 +0100
committer Willy Sudiarto Raharjo2019-02-08 14:55:26 +0100
commit5b6792910552a5abe9f81bd68c6eaf0f0baafb81 (patch)
treef2976046d841c032f7ef5abf08bc579137b50823
parent329245f397a3551f5eb2040c9f8edac62483da83 (diff)
downloadslackbuilds-5b6792910552a5abe9f81bd68c6eaf0f0baafb81.tar.gz
system/posh: Added doinst.sh.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/posh/doinst.sh8
-rw-r--r--system/posh/posh.SlackBuild9
2 files changed, 13 insertions, 4 deletions
diff --git a/system/posh/doinst.sh b/system/posh/doinst.sh
new file mode 100644
index 0000000000..6910686719
--- /dev/null
+++ b/system/posh/doinst.sh
@@ -0,0 +1,8 @@
+if [ ! -r etc/shells ]; then
+ touch etc/shells
+ chmod 644 etc/shells
+fi
+
+if ! grep -q /bin/posh etc/shells ; then
+ printf %s\\n /bin/posh >> etc/shells
+fi
diff --git a/system/posh/posh.SlackBuild b/system/posh/posh.SlackBuild
index 0e22a2b0e9..fee476fe28 100644
--- a/system/posh/posh.SlackBuild
+++ b/system/posh/posh.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for posh
-# Copyright 2017-2018 Hunter Sezen California, USA
+# Copyright 2017-2019 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=posh
VERSION=${VERSION:-0.13.2}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -85,8 +85,8 @@ make install DESTDIR=$PKG
mkdir -p $PKG/usr/bin
ln -s /bin/$PRGNAM $PKG/usr/bin/$PRGNAM
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
@@ -97,6 +97,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}